#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This example show a gtk-check-button.
# =========================================================================== #
require 'gtk2'

window = Gtk::Window.new
window.set_title('GTK CheckButton example')
vbox = Gtk::VBox.new

check_button = Gtk::CheckButton.new('_Enable grouping')
check_button.use_underline = true
check_button.active = true

vbox.add(check_button)
window.add(vbox)
window.show_all
window.set_size_request(800, 500)
window.move(0, 0)
Gtk.main